Bug 134578 - Grey-out non-effective attributes in the Styles Indicator
Summary: Grey-out non-effective attributes in the Styles Indicator
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Styles_Inspector
  Show dependency treegraph
 
Reported: 2020-07-06 17:29 UTC by Heiko Tietze
Modified: 2020-07-23 14:19 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2020-07-06 17:29:08 UTC
In case a styles has attributes set but those are not effective because it's overridden by other features we should grey-out/disable those nodes. For example, Default PS (font color = automatic) > Citation (font color = blue) and Special CS with font color = green, and last DF with font color = yellow.

Example pending, but situation is respected in the mockup.
Comment 1 Commit Notification 2020-07-22 19:02:42 UTC
Shivam Kumar Singh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/19f44fe53863ef8c9087aa965b786544f71ffdc8

tdf#134564 tdf#134578 Improve hierarchy viewing in Inspector

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.